Skip to main content
PATCH
/
api
/
snoozes
/
{id}
Update Snooze
curl --request PATCH \
  --url https://dash.empirical.run/api/snoozes/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "snooze_until": "<string>",
  "description": "<string>",
  "expire_now": true,
  "scoped_to_environment_id": 123,
  "test_ids": [
    "<string>"
  ]
}
'
{
  "data": {
    "snooze": {
      "id": 123,
      "project_id": 123,
      "test_ids": [
        "<string>"
      ],
      "snooze_until": "<string>",
      "description": "<string>",
      "created_from_test_run_id": 123,
      "created_by": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "scoped_to_environment_id": 123
    }
  }
}

Authorizations

Authorization
string
header
required

API key from the Empirical dashboard.

Path Parameters

id
integer
required

Snooze ID.

Required range: -9007199254740991 <= x <= 9007199254740991

Body

application/json

Fields to update.

snooze_until
string

ISO 8601 timestamp for when the snooze should expire.

description
string

Description explaining why the tests are snoozed.

expire_now
boolean

Set to true to immediately expire the snooze.

scoped_to_environment_id
number | null

Environment ID to scope the snooze to. Set to null to apply to all environments.

test_ids
string[]

Updated array of Playwright test IDs to snooze.

Response

Updated snooze.

data
object
required